### Hierarchy

- TokensComponent

### Implements

- OnInit

## Index

### Constructors

- constructor

### Properties

- columnsToDisplay
- dataSource
- paginator
- sort
- token
- tokens

### Methods

- doFilter
- downloadCsv
- ngOnInit
- viewToken

## Constructors

### constructor

- new TokensComponent(tokenService: TokenService, loggingService: LoggingService, router: Router): TokensComponent

- - Defined in src/app/pages/tokens/tokens.component.ts:22

  #### Parameters

  - ##### tokenService: TokenService

  - ##### loggingService: LoggingService

  - ##### router: Router

  #### Returns TokensComponent

## Properties

### columnsToDisplay

columnsToDisplay: string[] = ...

- Defined in src/app/pages/tokens/tokens.component.ts:18

### dataSource

dataSource: MatTableDataSource<any>

- Defined in src/app/pages/tokens/tokens.component.ts:17

### paginator

paginator: MatPaginator

- Defined in src/app/pages/tokens/tokens.component.ts:19

### sort

sort: MatSort

- Defined in src/app/pages/tokens/tokens.component.ts:20

### token

token: Token

- Defined in src/app/pages/tokens/tokens.component.ts:22

### tokens

tokens: Token[]

- Defined in src/app/pages/tokens/tokens.component.ts:21

## Methods

### doFilter

- doFilter(value: string): void

- - Defined in src/app/pages/tokens/tokens.component.ts:46

  #### Parameters

  - ##### value: string

  #### Returns void

### downloadCsv

- downloadCsv(): void

- - Defined in src/app/pages/tokens/tokens.component.ts:54

  #### Returns void

### ngOnInit

- ngOnInit(): Promise<void>

- Implementation of OnInit.ngOnInit

  - Defined in src/app/pages/tokens/tokens.component.ts:30

  #### Returns Promise<void>

### viewToken

- viewToken(token: any): void

- - Defined in src/app/pages/tokens/tokens.component.ts:50

  #### Parameters

  - ##### token: any

  #### Returns void

Generated using TypeDoc